package com.syc.slm.slmbi.controller;

import com.syc.slm.common.core.util.R;
import com.syc.slm.slmbi.dto.CreateInstrumentPanelGroupDTO;
import com.syc.slm.slmbi.dto.InstrumentPanelGroupDTO;
import com.syc.slm.slmbi.service.InstrumentPanelGroupService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * slm-bi
 * 仪表板分组
 *
 * @author : lin
 * @date : 2021-03-25 15:07
 **/
@RestController
@RequestMapping("/groups")
@Api(value = "仪表板分组")
public class InstrumentPanelGroupController {

    @Autowired
    private InstrumentPanelGroupService instrumentPanelGroupService;

    @PostMapping
    @ApiOperation("保存仪表板分组")
    public R<String> saveGroup(@RequestBody CreateInstrumentPanelGroupDTO group) {
        return R.ok(instrumentPanelGroupService.saveGroup(group));
    }

    @PutMapping
    @ApiOperation("更新仪表板分组")
    public R<String> updateGroup(@RequestBody InstrumentPanelGroupDTO group) {
        return R.ok(instrumentPanelGroupService.updateGroup(group));
    }

    @DeleteMapping("/{groupId}")
    @ApiOperation("删除仪表板分组")
    public R<String> delGroup(@PathVariable String groupId) {
        return R.ok(instrumentPanelGroupService.delGroup(groupId));
    }

}
